from django.contrib import admin

from ..models.sports import Sport, SportTranslation


class SportTranslationInline(admin.TabularInline):
    model = SportTranslation
    fields = ('language_code', 'sport_name')
    extra = 0


class SportAdmin(admin.ModelAdmin):
    list_display = ('name',)
    fields = ('name',)

    inlines = [
        SportTranslationInline,
    ]


admin.site.register(Sport, SportAdmin)
admin.autodiscover()
